<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Item extends Model
{
    use SoftDeletes;

    protected $fillable = [
        "plant_id",
        'category',
        'code',
        'description',
        'hourly_quantity',
        'uom',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function stickerMasters()
    {
        return $this->hasMany(StickerMaster::class, 'item_id', 'id');
    }

    public function productionQuantities()
    {
        return $this->hasMany(ProductionQuantity::class);
    }

    public function motorTestingMasters()
    {
        return $this->hasMany(MotorTestingMaster::class);
    }

    public function testingPanelReadings()
    {
        return $this->hasMany(TestingPanelReading::class);
    }
}
